<?php

namespace App\Entity;



class AlumnoClase {



	public $idAlumno;

	public $idClase;

	public $calificacion;

	private $tablaUsuarios;

	private $tablaClases;



	public function __construct(\Dynamite\DatabaseTable $tablaUsuarios, \Dynamite\DatabaseTable $tablaClases) {

		$this->tablaUsuarios = $tablaUsuarios;

		$this->tablaClases = $tablaClases;

	}



	public function alumno() {

		return $this->tablaUsuarios->findByid($this->idAlumno);

	}



	public function clase() {
		return $this->tablaClases->findByid($this->idClase);
	}

}