<?php

namespace App\Entity;



class Licenciatura {

	public $id;

	public $nombre;

	public $descripcion;

	public $nota;

	public $estado;

	public $fechaRegistro;

	private $tablaLicenciaturaMateria;



	public function __construct(\Dynamite\DatabaseTable $tablaLicenciaturaMateria) {

		$this->tablaLicenciaturaMateria = $tablaLicenciaturaMateria;

	}



	public function materias() {

		$licMat = $this->tablaLicenciaturaMateria->find('idLicenciatura', $this->id);

		$materias = [];

		foreach ($licMat as $lm) {

			$materias[] = $lm->materia();

		}

		return $materias;

	}

	public function materiaPertenece($idMateria) {
		$matLics = $this->tablaLicenciaturaMateria->find('idLicenciatura', $this->id);
		foreach ($matLics as $matLic) {
			if ($matLic->idMateria == $idMateria) return true;
		}
		return false;
	}

}