<?php

namespace Dynamite;



class Controller {



	protected function validate(array $extractData, array $required) {

		$errors = [];

		foreach ($required as $key => $data) {

			if(empty($extractData[$data])){

				$valid = false;

				$errors[$data] = 'El campo no puede estar vacio';

			}

		}

		return $errors;

	}



	protected function verify(array $required, array $errors){

		$valid = true;

		foreach ($required as $value) {

			if(!empty($errors[$value])){

				$valid = false;

				break;

			}

		}

		return $valid;

	}



	protected function paginate($limit) {

		$paginate = [];

		$paginate['page'] = $_GET['page'] ?? 1;

		$paginate['limit'] = $limit;

		$paginate['offset'] = ($paginate['page'] - 1) * $limit;

		return $paginate;

	}

}