<?php 

try {

	require_once __DIR__.'/../vendor/dompdf/autoload.inc.php';

	include __DIR__ . '/../includes/autoload.php';

	$route = ltrim(strtok($_SERVER['REQUEST_URI'], '?'), '/');

	$route = substr($route, (strpos($route, "public/") + 7));

	$entryPoint = new \Dynamite\EntryPoint($route, $_SERVER['REQUEST_METHOD'], new \Routes\Router());

	$entryPoint->run();

}catch(PDOException $e){

	$title = 'An error has occurred';

	$output = 'Database error: ' . $e->getMessage() . ' in ' .

	$e->getFile() . ':' . $e->getLine();

	echo $output;
	// include  __DIR__ . '/../templates/layouts/layout.html.php';

}