<!doctype html>

<html>

	<head>

		<meta charset="utf-8" />

		<meta name="robots" content="noindex,nofollow" />

		<meta name="viewport" content="width=device-width, initial-scale=1.0">

		<link rel="preconnect" href="https://fonts.gstatic.com">

		<link href="https://fonts.googleapis.com/css2?family=Nunito:wght@400;600;700&display=swap" rel="stylesheet"> 

		<link href="<?php echo $_totalRoute.'assets/font/stylesheet.css'; ?>" rel="stylesheet"> 

		<link rel="stylesheet" href="<?php echo $_totalRoute.'assets/css/bootstrap.min.css'; ?>">

		<script type="text/php">
			
			if (isset($pdf)){

					$font = Font_Metrics::get_font("Arial","bold");

					$pdf->page_text(765, 550 "Página {PAGE_NUM} de {PAGE_COUNT}", $font, 9, array(0, 0, 0));

			}

		</script>

	</head>
	<?php error_reporting(0);?>
	<?php if ($isAdmin): ?>
	<body style= "background-image: url(<?php echo $_totalRoute.'assets/img/membrete.png'; ?>); ">
	<?php else: ?>
	<body style= "background-image: url(<?php echo $_totalRoute.'assets/img/membrete_informativo.png'; ?>); ">
	<?php endif; ?>

	

	<table border="0" align="CENTER" width="100%" cellpadding="20px" cellspacing="0" style="font-family: 'Brandon Grotesque';border:none;">

		<tbody>

			<tr style="width: 25%;">

				<th>
					<img style=" width: 80%; padding-left: 50px;" src="<?php echo $_totalRoute.'assets/img/logo_innovacion_hz.png'; ?>" alt="">
				</th>

				<th style="width: 75%;">

					<p style="text-align: center; font-size: 36px; font-weight: bold; margin-bottom: 25px;">

						Kardex del estudiante

					</p>

				</th>

			</tr>

		</tbody>

	</table>

	

		

		<table align="CENTER" width="100%" cellpadding="0" cellspacing="0" style="font-family: 'Brandon Grotesque';">

			<tbody>

				<tr>

					<td>

						<table width="100%" style ="margin-bottom: 20px; font-family: 'Brandon Grotesque';border:none;">

							<tbody>

								<tr style="font-size: 12px;">
									<td width="80%"> </td>
									
									<th style="padding-top: -10px !important; text-align:right; background-color: #f2f2f2; padding-right: 10px; border: 1px solid gray;">Fecha:</th>

									<td style="padding-top: -10px !important; text-align:center; padding-left: 5px; border: 1px solid gray;"> <?php echo date("d/m/Y"); ?></td>
								</tr>
							</tbody>
						</table>
						
						<table width="100%">
							<tbody>
								<tr>

									<th style="padding-top: -10px !important; padding-left: 15px; font-size: 16px; background-color: #b3b3b3; border: 1px solid gray;" colspan="6">

										Datos del estudiante

									</th>

								</tr>

								<tr style= "font-size: 12px;">

									<th style= "padding-top: -4px !important; background-color: #f2f2f2; padding-left: 10px; border: 1px solid gray; width: 60px;">Matrícula:</th>

									<td style= "padding-top: -4px !important; padding-left: 5px; border: 1px solid gray;"><?php echo $alumno->matricula; ?></td>

									<th style= "padding-top: -4px !important; background-color: #f2f2f2; padding-left: 10px; border: 1px solid gray;">Nombre:</th>

									<td style= "padding-top: -4px !important; padding-left: 5px; border: 1px solid gray;" colspan="3"><?php echo $alumno->nombre; ; ?> <?php echo $alumno->apellido; ; ?></td>

								</tr>

								<tr style= "font-size: 12px;">

									<th style="padding-top: -4px !important; background-color: #f2f2f2; padding-left: 10px; border: 1px solid gray;">Admisión:</th>

									<td style="padding-top: -4px !important; padding-left: 5px; border: 1px solid gray;"> <?php echo $alumno->fechaSicyt; ?></td>

									<th style="padding-top: -4px !important; padding-left: 10px; background-color: #f2f2f2; border: 1px solid gray;">Modalidad:</th>

									<td style="padding-top: -4px !important; padding-left: 5px; border: 1px solid gray;"><?php echo $alumno->modalidad; ; ?></td>

									<th style="padding-top: -4px !important; padding-left: 10px; background-color: #f2f2f2; border: 1px solid gray;">Materias cursadas:
									<td style="padding-top: -4px !important; padding-left: 5px; border: 1px solid gray;"> <?php print_r($alumno->clasesCursadasA()) ; ?></td>

								</tr>

								<tr style= "font-size: 12px;">

									<th style="padding-top: -4px !important; padding-left: 10px; background-color: #f2f2f2;  border: 1px solid gray;">Carrera:</th>

									<td style="padding-top: -4px !important; padding-left: 5px; border: 1px solid gray;" colspan="3"><?php echo $alumno->licenciatura()->nombre; ; ?></td>

									<th style="padding-top: -4px !important; padding-left: 10px; background-color: #f2f2f2;  border: 1px solid gray;">Promedio:</th>

									<td style="padding-top: -4px !important; padding-left: 5px; border: 1px solid gray;" colspan="1"><?php print_r($alumno->promedio()) ; ?></td>

								</tr>

							</tbody>

						</table>

					</td>

				</tr>

			</tbody>

		</table>

		<table class="table" style ="margin-top: 20px; font-family: 'Brandon Grotesque';border:none;">

			<thead style="border: 1px solid yellow;">

				<tr style="font-size: 15px; background-color: #b3b3b3; padding: 4px 4px; border-top-left-radius: 5px; border-top-right-radius: 5px;">

					<th style="padding-top: -10px !important; padding-left: 15px; border: 1px solid gray;">Materia</th>

					<th style="padding-top: -10px !important; padding-left: 15px; border: 1px solid gray;">Periodo</th>

					<th style="padding-top: -10px !important; padding-left: 15px; border: 1px solid gray;">Calificación</th>
					<th style="padding-top: -10px !important; padding-left: 15px; border: 1px solid gray;">Tipo de calificación</th>

				</tr>

			</thead>

			<tbody>

				<?php foreach($alumno->licenciatura()->materias() as $materias): ?>

				<tr>

					<?php $kar = null; ?> 

					<?php foreach($kardex as $kardx): ?>

						<?php 

						if($kardx->clase()->idMateria == $materias->id){

							$kar = $kardx;

						} ?>

					<?php endforeach; ?>

						<?php if(! is_null($kar->calificacion) && $kar->calificacion != '') {

							$periodoNombre = $kar->clase()->periodo()->nombre;

						} else {
							$periodoNombre = 'Sin cursar';
						} ?>

					<td style="padding-top: -10px !important; padding-left: 5px; border: 1px solid gray;"><?php echo htmlspecialchars($materias->nombre); ?></td>

					<td style=" padding-top: -10px !important; padding-left: 5px; border: 1px solid gray;"><?php echo htmlspecialchars(ucfirst($periodoNombre));?></td>

					<td style="padding-top: -10px !important; padding-left: 5px; border: 1px solid gray;"><?php echo htmlspecialchars($kar->calificacion ?? 'Sin Calificar'); ?></td>
					<td style="padding-top: -10px !important; padding-left: 5px; border: 1px solid gray;"><?php echo htmlspecialchars(ucfirst($kar->tipo ?? 'Sin Calificar')); ?></td>

				</tr>

				<?php endforeach; ?>

			</tbody>

			

			<!-- <caption style="font-size: 14px; background-color: #0F4D92; border-top-right-radius: 5px;">

				Listado de Materias

			</caption> -->

		</table>

		<?php if($isAdmin): ?>

		<div style="margin-top: 100px;">

			<p style="color:#000; text-align: center; text-decoration: overline; font-family: 'Brandon Grotesque';">

				&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Alma Pulina Espinoza Padilla&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
			</p>
			<p style="color:#000; text-align: center; margin-top: -25px; font-family: 'Brandon Grotesque';">

				&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Encargada de Control Escolar&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

			</p>

		</div>

		<?php endif; ?>

	</body>

</html>