<?php $helper->extends('content/partials/generalLayout', ['sectionTitle' => 'Información Académica', 'tools' => 'search']); ?>

<?php $helper->content('section') ?>

<div class="table-responsive">

	<table width="100%" style ="margin-bottom: 20px; font-family: 'Brandon Grotesque';border:none;">

		<tbody>

			<?php foreach($alumno as $alumnodata): ?>

				<tr>

					<td>

						<table width="100%" style="margin-bottom: 20px;">

							<tbody>

								<tr>

									<th style="padding-top: -10px !important; padding-left: 10px; font-size: 16px; background-color: #b3b3b3; border: 1px solid gray;" colspan="6">

										DATOS DEL ESTUDIANTE

									</th>

								</tr>

								<tr style= "font-size: 16px;">

									<th style= "padding-top: -4px !important; background-color: #f2f2f2; padding-left: 10px; border: 1px solid gray;">Nombre:</th>

									<td style= "padding-top: -4px !important; padding-left: 5px; border: 1px solid gray;" colspan="3"><?php echo $alumnodata->nombre; ; ?> <?php echo $alumnodata->apellido; ; ?></td>

									<th style= "padding-top: -4px !important; background-color: #f2f2f2; padding-left: 10px;  padding-right: 10px;border: 1px solid gray; width: 60px;">Matrícula:</th>

									<td style= "padding-top: -4px !important; padding-left: 5px; border: 1px solid gray;"><?php echo $alumnodata->matricula; ?></td>

								</tr>

								<tr style= "font-size: 16px;">

									<th style="padding-top: -4px !important; background-color: #f2f2f2; padding-left: 10px; border: 1px solid gray;">Admisión:</th>

									<td style="padding-top: -4px !important; padding-left: 5px; border: 1px solid gray;"> <?php echo $alumnodata->fechaSicyt; ?></td>

									<th style="padding-top: -4px !important; padding-left: 10px; background-color: #f2f2f2; border: 1px solid gray;">Modalidad:</th>

									<td style="padding-top: -4px !important; padding-left: 5px; border: 1px solid gray;"><?php echo $alumnodata->modalidad; ?></td>

									<th style="padding-top: -4px !important; padding-left: 10px; background-color: #f2f2f2; border: 1px solid gray;">Materias cursadas:

									<td style="padding-top: -4px !important; padding-left: 5px; border: 1px solid gray;"> <?php print_r($alumnodata->clasesCursadasA()) ; ?></td>

								</tr>

								<tr style= "font-size: 16px;">

									<th style="padding-top: -4px !important; padding-left: 10px; background-color: #f2f2f2;  border: 1px solid gray;">Carrera:</th>

									<td style="padding-top: -4px !important; padding-left: 5px; border: 1px solid gray;" colspan="3"><?php echo $alumnodata->licenciatura()->nombre; ; ?></td>

									<th style="padding-top: -4px !important; padding-left: 10px; background-color: #f2f2f2;  border: 1px solid gray;">Promedio:</th>

									<td style="padding-top: -4px !important; padding-left: 5px; border: 1px solid gray;" colspan="1"><?php print_r($alumnodata->promedio()) ; ?></td>

								</tr>

							</tbody>

						</table>

						<table width="100%">

							<tbody>

								<tr>

									<th style="padding-top: -10px !important; padding-left: 10px; font-size: 16px; background-color: #b3b3b3; border: 1px solid gray;" colspan="6">

										DOCUMENTOS FALTANTES

									</th>
								
								</tr>

								<tr style= "font-size: 16px; border: 1px solid gray;">

									<?php 
										$text = '';
										$text2 = '';
										if ($alumnodata->url_acta_nacimiento == '') {
											$text .= '- <span class="text-info text-nowrap">ACTA DE NACIMIENTO</span><br>';
										}
										if ($alumnodata->url_certificado == '') {
											$text .= '- <span class="text-info text-nowrap">CERTIFICADO DE BACHILLERATO</span><br>';
										}
										if ($alumnodata->url_comprobante_dom == '') {
											$text .= '- <span class="text-info text-nowrap">COMPROBANTE DE DOMICILIO</span><br>';
										}
										if ($alumnodata->url_identificacion == '') {
											$text .= '- <span class="text-info text-nowrap">IDENTIFICACIÓN</span><br>';
										}
										if ($text == ''){
											$text .= '<span class="text-nowrap">DOCUMENTOS COMPLETOS</span><br>';
										}
										else{
											$text2 .= '<span class="text-warning text-nowrap">COMUNÍCATE A CONTROL ESCOLAR</span><br>';
										}
									?>

									<td style= "width: 50%; padding-top: -4px !important; padding-left: 5px;"><?php echo $text; ?></td>

									<td style= "width: 50%; padding-top: -4px !important; padding-left: 5px;"><?php echo $text2; ?></td>

								</tr>

							</tbody>

						</table>

					</td>

				</tr>

			<?php endforeach; ?>

		</tbody>

	</table>

	<table class="table-sm table table-striped table-bordered display" id="datatable">

		<thead>
		
		<th style="padding-top: -10px !important; padding-left: 10px; font-size: 16px; background-color: #b3b3b359; border: 1px solid gray; text-align:center;" colspan="6">

										LISTADO DE CLASES

									</th>

			<tr>

				<th>Nombre de Clase</th>

				<!-- <th>Materia</th> -->

				<th>Profesor</th>

				<th>Periodo</th>

				<th>Fecha de Registro</th>

				<th>Estado</th>

				<th>Calificación</th>

			</tr>

		</thead>

		<tbody>

			<?php foreach($clases as $clase): ?>

			<tr>
				
				<td><?php echo htmlspecialchars($clase->clase()->nombre); ?></td>

				<!--<td><?php echo htmlspecialchars($clase->clase()->materia()->nombre); ?></td> -->

				<td><?php echo htmlspecialchars($clase->clase()->profesor()->nombre); echo "&nbsp;"; echo htmlspecialchars($clase->clase()->profesor()->apellido); ?></td>

				<td><?php echo htmlspecialchars($clase->clase()->periodo()->nombre); ?></td>

				<td><?php echo date('d - m - Y', strtotime($clase->clase()->fechaRegistro)); ?></td>

				<td><?php echo $clase->clase()->estado == 'activo' ? 'En Curso' : 'Finalizada'; ?></td>

				<td><?php echo htmlspecialchars($clase->calificacion ?? 'Sin Calificar'); ?></td>

			</tr>

			<?php endforeach; ?>

		</tbody>

	</table>


</div>

<?php $helper->endContent() ?>



<?php $helper->endExtends(); ?>