<?php $helper->extends('content/partials/generalLayout', ['sectionTitle' => 'Calificaciones', 'tools' => 'search']); ?>

<?php $helper->content('section') ?>



<div class="table-responsive">

	<table class="table-sm table table-striped table-bordered display" id="datatable">

		<thead>

			<tr>

				<th>Nombre de Clase</th>

				<?php if($auth->esDelTipoUsuario(\App\Entity\Usuario::ADMINISTRADOR)): ?>

				<th>Profesor</th>

				<?php endif; ?>

				<th>Materia</th>

				<th>Periodo</th>

				<th>Opciones</th>

			</tr>

		</thead>

		<tbody>

			<?php foreach($clases as $clase): ?>

			<tr>

				<td><?php echo htmlspecialchars($clase->nombre); ?></td>

				<?php if($auth->esDelTipoUsuario(\App\Entity\Usuario::ADMINISTRADOR)): ?>

				<td><?php echo htmlspecialchars($clase->profesor()->nombre); ?></td>

				<?php endif; ?>

				<td><?php echo htmlspecialchars($clase->materia()->nombre); ?></td>

				<td><?php echo htmlspecialchars($clase->periodo()->nombre); ?></td>

				<td>

					<div class="d-flex">

						<a href="./calificar?id=<?php echo $clase->id; ?>" title="Calificar Alumnos" class="btn btn-info btn-sm me-2">Calificar Alumnos</a>

					</div>

				</td>

			</tr>

			<?php endforeach; ?>

		</tbody>

	</table>

</div>

<?php $helper->endContent() ?>



<?php $helper->endExtends(); ?>