<?php $helper->extends('content/partials/generalLayout', ['sectionTitle' => 'Asignar Materias a Licenciatura', 'tools' => 'back']); ?>

<?php $helper->content('section') ?>



<div>

<div class="form-floating mb-3">

  <input disabled="" type="text" class="form-control rounded-0" placeholder="name@example.com" value="<?php echo $licenciatura->nombre; ?>">

  <label>Licenciatura</label>

</div>

<form method="POST">

	<input type="hidden" name="licmat[idLicenciatura]" value="<?php echo $licenciatura->id; ?>">

	<?php echo $helper->include('content/partials/input', [

	'inputs' => [

		[

			'label' => 'Materias',

			'name' => 'licmat[idMateria]',

			'value' => 'idMateria',

			'type' => 'select',

			'data' => $materias

		]

	],

	'errors' => $errors ?? null,

	'old' => $old ?? null

]); ?>

	<div class="d-grid">

		<button type="submit" class="btn btn-success rounded-0">Asignar</button>

	</div>

</form>

<?php if(count($licmat) > 0): ?>

<h4 class="text-muted mt-4">Materias asignadas</h4>

<div class="table-responsive mt-2">

	<table class="table table-striped table-sm table-bordered">

		<thead>

			<tr>

				<th>Materia ID</th>

				<th>Nombre de Materia</th>

				<th>Opciones</th>

			</tr>

		</thead>

		<tbody>

			<?php foreach($licmat as $lm): ?>

			<tr>

				<td><?php echo $lm->materia()->id; ?></td>

				<td><?php echo htmlspecialchars($lm->materia()->nombre); ?></td>

				<td>

					<form method="POST" action="./eliminar-asignar">

						<input type="hidden" name="idMateria" value="<?php echo $lm->idMateria; ?>">

						<input type="hidden" name="idLicenciatura" value="<?php echo $lm->idLicenciatura; ?>">

						<button type="submit" class="btn btn-sm btn-danger">Eliminar</button>

					</form>

				</td>

			</tr>

			<?php endforeach; ?>

		</tbody>

	</table>

</div>

<?php endif; ?>

</div>



<?php $helper->endContent() ?>



<?php $helper->endExtends(); ?>