<?php $helper->extends('content/partials/generalLayout', ['sectionTitle' => 'Materias']); ?>

<?php $helper->content('section') ?>



<div class="table-responsive">

	<table class="table-sm table table-striped table-bordered display" id="datatable">

		<thead>

			<tr>

				<th>ID</th>

				<th>Clave</th>

				<th>Nombre</th>

				<th>Estado</th>

				<th>Fecha de Registro</th>

				<th>Opciones</th>

			</tr>

		</thead>

		<tbody>

			<?php foreach($materias as $mat): ?>

			<tr>

				<td><?php echo $mat->id; ?></td>

				<td><?php echo (htmlspecialchars(ucfirst($mat->clave))); ?></td>

				<td><?php echo htmlspecialchars($mat->nombre); ?></td>

				<td><?php echo (htmlspecialchars(ucfirst($mat->estado))); ?></td>

				<td><?php echo date('Y-m-d' ,strtotime($mat->fechaRegistro)); ?></td>

				<td>

					<div class="d-flex">

						<a href="./editar?id=<?php echo $mat->id; ?>" title="Editar" class="btn btn-warning btn-sm me-2">Editar</a>

						<form method="POST" action="./estado">

							<input type="hidden" name="id" value="<?php echo $mat->id; ?>">

							<button type="submit" class="btn btn-sm btn-secondary"><?php echo $mat->estado == 'activo' ? 'Inactivar' : 'Activar'; ?></button>

						</form>

					</div>

				</td>

			</tr>

			<?php endforeach; ?>

		</tbody>

	</table>

</div>

<?php $helper->endContent() ?>



<?php $helper->endExtends(); ?>