<?php foreach($inputs as $input): ?>

<?php 

if(!isset($input['notPopulate']) || !$input['notPopulate']) {

	if(isset($old[$input['value']])) {

		$oldValue = $old[$input['value']];

	} else if(isset($data->{$input['value']})) {

		$oldValue = $data->{$input['value']};

	} else {

		$oldValue = '';

	}

} else {

	$oldValue = '';

} ?>

<div class="form-floating mb-3">

<?php if(!isset($input['type']) || $input['type'] != 'select'): 

	?>



	<input name="<?php echo htmlspecialchars($input['name']); ?>" type="<?php echo htmlspecialchars($input['type'] ?? 'text'); ?>" class="rounded-0 form-control

	<?php if(isset($errors[$input['value'] ?? $input['name']])){ echo 'is-invalid'; } ; ?>" 

	id="<?php echo htmlspecialchars($input['name']); ?>" placeholder="<?php echo htmlspecialchars($input['placeholder'] ?? ''); ?>" 

	value="<?php echo htmlspecialchars($oldValue); ?>"

	>

	<label for="<?php echo htmlspecialchars($input['name']); ?>"><?php echo htmlspecialchars($input['label'] ?? ucfirst($input['name'])); ?></label>

<?php else: ?>

  <select name="<?php echo htmlspecialchars($input['name']); ?>" class="rounded-0 form-select <?php if(isset($errors[$input['value'] ?? $input['name']])){ echo 'is-invalid'; } ; ?>" id="<?php echo htmlspecialchars($input['name']); ?>">

    <option value="" <?php if($oldValue == '') echo 'selected'; ?>>Selecciona una opción</option>

    <?php foreach($input['data'] as $theData): ?>

    <option value="<?php echo $theData['value']; ?>" <?php if($oldValue == $theData['value'] || (isset($input['default']) && $input['default']) == $theData['value']) echo 'selected'; ?>><?php echo $theData['name'] ?? $theData['value']; ?></option>

	<?php endforeach; ?>

  </select>

  <label for="<?php echo htmlspecialchars($input['name']); ?>"><?php echo htmlspecialchars($input['label'] ?? ucfirst($input['name'])); ?></label>

<?php endif; ?>

<?php if(isset($errors[$input['value'] ?? $input['name']])): ?>

<div class="invalid-feedback">

	<?php echo htmlspecialchars($errors[$input['value'] ?? $input['name']]); ?>

</div>

<?php endif; ?>

</div>

<?php endforeach; ?>

