<?php $helper->extends('content/partials/generalLayout', ['sectionTitle' => 'Generar Pago', 'tools' => 'back']); ?>

<?php $helper->content('section') ?>



<div>

<div class="form-floating mb-3">

  <input disabled="" type="text" class="form-control rounded-0" placeholder="name@example.com" value="<?php echo $alumno->nombre . ' ' . $alumno->apellido; ?>">

  <label>Alumno</label>

</div>

<form method="POST">

	<input type="hidden" name="pago[idAlumno]" value="<?php echo $alumno->id; ?>">

	<?php echo $helper->include('content/partials/input', [

	'inputs' => [

		[

			'label' => 'Monto',

			'name' => 'pago[monto]',

			'value' => 'monto'

		],

		[

			'label' => 'Fecha',

			'name' => 'pago[fecha]',

			'value' => 'fecha',

			'type' => 'date'

		]

	],

	'errors' => $errors ?? null,

	'old' => $old ?? null

]); ?>

	<div class="d-grid">

		<button type="submit" class="btn btn-success rounded-0">Subir Pago</button>

	</div>

</form>

<?php if(count($pagos) > 0): ?>

<h4 class="text-muted mt-4">Pagos realizados</h4>

<div class="table-responsive mt-2">

	<table class="table table-striped table-sm table-bordered">

		<thead>

			<tr>

				<th>Monto</th>

				<th>Fecha de Pago</th>

				<th>Opciones</th>

			</tr>

		</thead>

		<tbody>

			<?php foreach($pagos as $pago): ?>

			<tr>

				<td><?php echo htmlspecialchars($pago->monto); ?></td>

				<td><?php echo htmlspecialchars(date('d-m-Y', strtotime($pago->fecha))); ?></td>

				<td>

					<form method="POST" action="./borrar-pago">

						<input type="hidden" name="id" value="<?php echo $pago->id; ?>">

						<input type="hidden" name="idAlumno" value="<?php echo $alumno->id; ?>">

						<button type="submit" class="btn btn-sm btn-danger">Eliminar Pago</button>

					</form>

				</td>

			</tr>

			<?php endforeach; ?>

		</tbody>

	</table>

</div>

	<div class="d-grid mt-2">

		<a target="_blank" href="./excel?id=<?php echo $alumno->id; ?>" type="submit" class="btn btn-warning rounded-0">EXPORTAR PAGOS</a>

	</div>

<?php endif; ?>

</div>



<?php $helper->endContent() ?>



<?php $helper->endExtends(); ?>