/* FUNCIÓN PARA HACER FETCH*/
async function postData(url = '', data = new FormData()) {
	const response = await fetch(url, {
		method: 'POST',
		body: data
	});
	return await response.json();
}
/* FIN FUNCIÓN PARA HACER FETCH */

/* ACTIVA/DESACTIVA EL LOADER, AL IGUAL QUE ESCONDE EL BOTON QUE SE PULSA*/
function activeLoader(loaderButton, loader, active = true)
{
	if (active) {
		loaderButton.classList.add('d-none');
		loader.classList.remove('d-none');
	} else {
		loaderButton.classList.remove('d-none');
		loader.classList.add('d-none');
	}
}
/* FIN LOADER */

var fadeAlert = function(theAlert) {

	setTimeout(function() {

		theAlert.classList.add('fade');

		setTimeout(function() {

			theAlert.classList.remove('fade');

			theAlert.classList.add('d-none');

		}, 1500);

	}, 1500);

}

let alerts = document.querySelectorAll('.fade-alert');

for (var i = 0; i < alerts.length; i++) {

	setTimeout(fadeAlert(alerts[i]), 1500);

}

let pageClases = document.getElementById('pageClases');
if (pageClases != undefined) {
	let lics = document.getElementById('clase[idLicenciatura]');
	let mats = document.getElementById('clase[idMateria]');
	let claseId = document.getElementById('clase[id]');

	lics.addEventListener('change', (e) => {
		getMateriasData(e.currentTarget);
	});

	getMateriasData(lics);

	function getMateriasData(theElement) {
		if (theElement.value != '') {
			let url = String(window.location);
			url = url.substr(0, url.lastIndexOf("\/"))+"\/";
			let formDatas = new FormData();
			formDatas.append('id', theElement.value);
			if (claseId != undefined) {
				formDatas.append('id_clase', claseId.value);
			}
			postData(url, formDatas)
			.then((result) => {
				if (result.success != undefined) {
					mats.innerHTML = result.print;
				}
			});
		}
	}
}

let filtroAlumnos = document.getElementById('filtroAlumnos');
if (filtroAlumnos != undefined) {
	let alumnos = document.getElementById('claseAlumno[idAlumno]');
	let x = alumnos.options.length;
	filtroAlumnos.addEventListener('input', (e) => {
		for (var i = 0; i < x; i++) {
			let text = alumnos.options[i].text;
			if (text.includes(e.currentTarget.value)) {
				alumnos.options[i].classList.remove('d-none');
			} else {
				alumnos.options[i].classList.add('d-none');
			}
		}
	});			
}