<?php $helper->extends('content/partials/generalLayout', ['sectionTitle' => 'Documentos', 'tools' => 'search']); ?>

<?php $helper->content('section') ?>
<div class="row">
	<?php if ($alumno->url_acta_nacimiento != ''): ?>
	<div class="col-md-12 px-2 mt-2">
		<a target="_blank" href="<?php echo $_route . $alumno->url_acta_nacimiento; ?>?ts=<?php echo strtotime(date('Y-m-d H:i:s')); ?>" title="Acta de nacimiento">Acta de nacimiento</a>
	</div>
	<?php endif ?>
	<?php if ($alumno->url_certificado != ''): ?>
	<div class="col-md-12 px-2 mt-2">
		<a target="_blank" href="<?php echo $_route . $alumno->url_certificado; ?>?ts=<?php echo strtotime(date('Y-m-d H:i:s')); ?>" title="Certificado">Certificado</a>
	</div>
	<?php endif ?>
	<?php if ($alumno->url_comprobante_dom != ''): ?>
	<div class="col-md-12 px-2 mt-2">
		<a target="_blank" href="<?php echo $_route . $alumno->url_comprobante_dom; ?>?ts=<?php echo strtotime(date('Y-m-d H:i:s')); ?>" title="Comprobante de Domicilio">Comprobante de Domicilio</a>
	</div>
	<?php endif ?>
	<?php if ($alumno->url_identificacion != ''): ?>
	<div class="col-md-12 px-2 mt-2">
		<a target="_blank" href="<?php echo $_route . $alumno->url_identificacion; ?>?ts=<?php echo strtotime(date('Y-m-d H:i:s')); ?>" title="Identificación">Identificación</a>
	</div>
	<?php endif ?>
</div>
<?php if ($auth->tipo_usuario == 'alumno'): ?>
	<h5 class="mt-4">Subir Documentos</h5>
	<form action="" method="POST" accept-charset="utf-8" enctype="multipart/form-data">
		
<div class="mb-3">
  <label for="url_acta_nacimiento" class="form-label">Acta de Nacimiento</label>
  <input class="form-control" type="file" id="url_acta_nacimiento" name="usuario[url_acta_nacimiento]">
</div>
<div class="mb-3">
  <label for="url_certificado" class="form-label">Certificado de Bachillerato</label>
  <input class="form-control" type="file" id="url_certificado" name="usuario[url_certificado]">
</div>
<div class="mb-3">
  <label for="url_comprobante_dom" class="form-label">Acta de Nacimiento</label>
  <input class="form-control" type="file" id="url_comprobante_dom" name="usuario[url_comprobante_dom]">
</div>
<div class="mb-3">
  <label for="url_identificacion" class="form-label">Identificación (con foto)</label>
  <input class="form-control" type="file" id="url_identificacion" name="usuario[url_identificacion]">
</div>
<div class="d-grid mt-2">

	<button type="submit" class="btn btn-success rounded-0">SUBIR</button>

</div>
	</form>
<?php endif ?>
<?php $helper->endContent() ?>

<?php $helper->endExtends(); ?>