<?php $helper->extends('content/partials/generalLayout', ['sectionTitle' => 'Titulación', 'tools' => 'search']); ?>

<?php $helper->content('section') ?>
<div class="row px-2">
	<?php if ($alumno->clasesCursadas() >= 36 && $alumno->servicio == 'si'): ?>
		<h6>Documentos</h6>
		<a target="_blank" href="<?php echo $_route; ?>files/titulacion/Pasos para realizar el proceso de titulación.pdf" title="Pasos para realizar el proceso de titulación ">Pasos para realizar el proceso de titulación  | PDF</a>

		<h6 class="mt-4 text-center">Entregados</h6>
		<div class="row text-center">
			<div class="col-3">Fotografías</div>
			<div class="col-3">Acta, Certificado y Título</div>
			<div class="col-3">Entrega de documentos SICyT</div>
			<div class="col-3">Liberación de Documentos</div>
			<?php if ($fechas): ?>
				<div class="col-3"><?php echo $fechas->fecha_fotografias == '0000-00-00 00:00:00' ? 'Aún no hay datos.' : date('Y/m/d', strtotime($fechas->fecha_fotografias)); ?></div>
				<div class="col-3"><?php echo $fechas->fecha_acta == '0000-00-00 00:00:00' ? 'Aún no hay datos.' : date('Y/m/d', strtotime($fechas->fecha_acta)); ?></div>
				<div class="col-3"><?php echo $fechas->fecha_sicyt == '0000-00-00 00:00:00' ? 'Aún no hay datos.' : date('Y/m/d', strtotime($fechas->fecha_sicyt)); ?></div>
				<div class="col-3"><?php echo $fechas->liberacion == '0000-00-00 00:00:00' ? 'Aún no hay datos.' : date('Y/m/d', strtotime($fechas->liberacion)); ?></div>
			<?php else: ?>
				<div class="col-3">
					Aún no hay datos.
				</div>
				<div class="col-3">
					Aún no hay datos.
				</div>
				<div class="col-3">
					Aún no hay datos.
				</div>
				<div class="col-3">
					Aun no hay datos.
				</div>
			<?php endif; ?>
		</div>
		<div class="progress mt-4 px-0">
		  <div class="progress-bar bg-danger" role="progressbar" style="width: <?php echo $porcentaje; ?>%;" aria-valuenow="<?php echo $porcentaje; ?>" aria-valuemin="0" aria-valuemax="100"><?php echo $text; ?></div>
		</div>
	<?php else: ?>
		<?php if ($alumno->clasesCursadas() >= 36): ?>
		<h6>Completa el servicio social para activar la sección.</h6>
		<?php elseif ($alumno->servicio == 'si'): ?>
		<h6>Para poder activar la sección debes haber cursado 36 materias.</h6>
		<?php else: ?>
		<h6>Para poder activar la sección debes haber cursado 36 materias y finalizar el servicio social.</h6>
		<?php endif; ?>
	<?php endif; ?>
</div>
<?php $helper->endContent() ?>

<?php $helper->endExtends(); ?>