<?php $helper->extends('content/partials/generalLayout', ['sectionTitle' => 'Calificar Alumnos', 'tools' => 'back']); ?>

<?php $helper->content('section') ?>



<div>

<div class="form-floating mb-3">

  <input disabled="" type="text" class="form-control rounded-0" placeholder="name@example.com" value="<?php echo $clase->profesor()->nombre; ?>">

  <label>Profesor</label>

</div>

<div class="form-floating mb-3">

  <input disabled="" type="text" class="form-control rounded-0" placeholder="name@example.com" value="<?php echo $clase->nombre; ?>">

  <label>Clase</label>

</div>

<div class="form-floating mb-3">

  <input id="filtroAlumnos" type="text" class="form-control rounded-0" placeholder="name@example.com" value="">

  <label>Filtro</label>

</div>

<form method="POST">

	<input type="hidden" name="claseAlumno[idClase]" value="<?php echo $clase->id; ?>">

	<?php echo $helper->include('content/partials/input', [

	'inputs' => [

		[

			'label' => 'Alumnos',

			'name' => 'claseAlumno[idAlumno]',

			'value' => 'idAlumno',

			'type' => 'select',

			'data' => $alumnos

		],

		[

			'label' => 'Calificación',

			'name' => 'claseAlumno[calificacion]',

			'value' => 'calificacion'

		], 

		[

			'label' => 'Tipo de calificación',

			'name' => 'claseAlumno[tipo]',

			'value' => 'tipo',
			'type' => 'select',

			'data' => [
				['value' => 'extraordinario', 'name' => 'Extraordinario'],
				['value' => 'ordinario', 'name' => 'Ordinario'],
			],
			'default' => 'ordinario'

		]

	],

	'errors' => $errors ?? null,

	'old' => $old ?? null

]); ?>

	<div class="d-grid">

		<button type="submit" class="btn btn-success rounded-0">Calificar</button>

	</div>

</form>

<?php if(count($claseAlumno) > 0): ?>

<h4 class="text-muted mt-4">Alumnos asignados</h4>

<div class="table-responsive mt-2">

	<table class="table table-striped table-sm table-bordered">

		<thead>

			<tr>

				<th>Nombre del Alumno</th>

				<th>Usuario del Alumno</th>

				<th>Calificación</th>
				<th>Tipo</th>

			</tr>

		</thead>

		<tbody>

			<?php foreach($claseAlumno as $ca): ?>

			<tr>

				<td><?php echo htmlspecialchars($ca->alumno()->nombre); echo "&nbsp;"; echo htmlspecialchars($ca->alumno()-> apellido); ?></td>

				<td><?php echo htmlspecialchars($ca->alumno()->usuario); ?></td>

				<td><?php echo htmlspecialchars($ca->calificacion ?? 'Sin calificar'); ?></td>
				<td><?php echo htmlspecialchars(ucfirst($ca->tipo)); ?></td>

			</tr>

			<?php endforeach; ?>

		</tbody>

	</table>

</div>

<?php endif; ?>

</div>



<?php $helper->endContent() ?>



<?php $helper->endExtends(); ?>