<?php $helper->extends('content/partials/generalLayout', ['sectionTitle' => 'Asignar Alumnos a Clase', 'tools' => 'back']); ?>

<?php $helper->content('section') ?>



<div>

<div class="form-floating mb-3">

  <input disabled="" type="text" class="form-control rounded-0" placeholder="name@example.com" value="<?php echo $clase->nombre; ?>">

  <label>Clase</label>

</div>


<div class="form-floating mb-3">

  <input id="filtroAlumnos" type="text" class="form-control rounded-0" placeholder="name@example.com" value="">

  <label>Filtro</label>

</div>

<form method="POST">

	<input type="hidden" name="claseAlumno[idClase]" value="<?php echo $clase->id; ?>">

	<?php echo $helper->include('content/partials/input', [

	'inputs' => [

		[

			'label' => 'Alumnos',

			'name' => 'claseAlumno[idAlumno]',

			'value' => 'idAlumno',

			'type' => 'select',

			'data' => $alumnos

		]

	],

	'errors' => $errors ?? null,

	'old' => $old ?? null

]); ?>

	<div class="d-grid">

		<button type="submit" class="btn btn-success rounded-0">Asignar</button>

	</div>

</form>

<?php if(count($claseAlumno) > 0): ?>

<h4 class="text-muted mt-4">Alumnos asignados</h4>

<div class="table-responsive mt-2">

	<table class="table table-striped table-sm table-bordered">

		<thead>

			<tr>

				<th>Nombre del Alumno</th>

				<th>Usuario del Alumno</th>

				<th>Opciones</th>

			</tr>

		</thead>

		<tbody>

			<?php foreach($claseAlumno as $ca): ?>

			<tr>

				<td><?php echo htmlspecialchars($ca->alumno()->nombre); echo "&nbsp;"; echo htmlspecialchars($ca->alumno()-> apellido);?></td>

				<td><?php echo htmlspecialchars($ca->alumno()->usuario); ?></td>

				<td>

					<form method="POST" action="./eliminar-asignar">

						<input type="hidden" name="idAlumno" value="<?php echo $ca->idAlumno; ?>">

						<input type="hidden" name="idClase" value="<?php echo $ca->idClase; ?>">

						<button type="submit" class="btn btn-sm btn-danger">Eliminar</button>

					</form>

				</td>

			</tr>

			<?php endforeach; ?>

		</tbody>

	</table>

</div>

<?php endif; ?>

</div>



<?php $helper->endContent() ?>



<?php $helper->endExtends(); ?>