<?php if($auth->esDelTipoUsuario(\App\Entity\Usuario::ADMINISTRADOR)){

	$tools = 'all';

} else {

	$tools = 'search';

} ?>

<?php $helper->extends('content/partials/generalLayout', ['sectionTitle' => 'Clases', 'tools' => $tools]); ?>

<?php $helper->content('section') ?>



<div class="table-responsive">

	<table class="table-sm table table-striped table-bordered display" id="datatable">

		<thead>

			<tr>

				<th>Nombre</th>

				<th>Profesor</th>

				<th>Materia</th>

				<th>Periodo</th>

				<th>Estado</th>

				<th>Opciones</th>

			</tr>

		</thead>

		<tbody>

			<?php foreach($clases as $clase): ?>

			<tr>

				<td><?php echo htmlspecialchars($clase->nombre); ?></td>

				<td><?php echo htmlspecialchars($clase->profesor()->nombre); echo "&nbsp;"; echo htmlspecialchars($clase->profesor()->apellido); ?></td>

				<td><?php echo htmlspecialchars($clase->materia()->nombre); ?></td>

				<td><?php echo htmlspecialchars($clase->periodo()->nombre); ?></td>

				<td><?php echo (htmlspecialchars(ucfirst($clase->estado))); ?></td>

				<td>

					<?php if($auth->esDelTipoUsuario(\App\Entity\Usuario::ADMINISTRADOR)): ?>

					<div class="d-flex">

						<a href="./editar?id=<?php echo $clase->id; ?>" title="Editar" class="btn btn-warning btn-sm me-2">Editar</a>

						<a href="./asignar?id=<?php echo $clase->id; ?>" title="Asignar Alumnos" class="btn btn-info btn-sm me-2">Asignar Alumnos</a>

						<form method="POST" action="./estado">

							<input type="hidden" name="id" value="<?php echo $clase->id; ?>">

							<button type="submit" class="btn btn-sm btn-secondary"><?php echo $clase->estado == 'activo' ? 'Inactivar' : 'Activar'; ?></button>

						</form>

					</div>

					<?php else: ?>

						<a href="./ver?id=<?php echo $clase->id; ?>" title="Ver" class="btn btn-primary btn-sm">Ver alumnos</a>

					<?php endif; ?>

				</td>

			</tr>

			<?php endforeach; ?>

		</tbody>

	</table>

</div>

<?php $helper->endContent() ?>



<?php $helper->endExtends(); ?>