<?php $helper->extends('content/partials/generalLayout', ['sectionTitle' => 'Licenciaturas']); ?>

<?php $helper->content('section') ?>



<div class="table-responsive">

	<table class="table-sm table table-striped table-bordered display" id="datatable">

		<thead>

			<tr>

				<th>ID</th>

				<th>Código</th>

				<th>Nombre</th>

				<th>Estado</th>

				<th>Fecha de Registro</th>

				<th>Opciones</th>

			</tr>

		</thead>

		<tbody>

			<?php foreach($licenciaturas as $lic): ?>

			<tr>

				<td><?php echo $lic->id; ?></td>

				<td><?php echo htmlspecialchars($lic->descripcion); ?></td>

				<td><?php echo htmlspecialchars($lic->nombre); ?></td>

				<td><?php echo (htmlspecialchars(ucfirst($lic->estado))); ?></td>

				<td><?php echo date('Y-m-d' ,strtotime($lic->fechaRegistro)); ?></td>

				<td>

					<div class="d-flex">

						<a href="./editar?id=<?php echo $lic->id; ?>" title="Editar" class="btn btn-warning btn-sm me-2">Editar</a>

						<a href="./asignar?id=<?php echo $lic->id; ?>" title="Asignar materias" class="btn btn-info btn-sm me-2">Asignar materias</a>

						<form method="POST" action="./estado">

							<input type="hidden" name="id" value="<?php echo $lic->id; ?>">

							<button type="submit" class="btn btn-sm btn-secondary"><?php echo $lic->estado == 'activo' ? 'Inactivar' : 'Activar'; ?></button>

						</form>

					</div>

				</td>

			</tr>

			<?php endforeach; ?>

		</tbody>

	</table>

</div>


<?php $helper->endContent() ?>



<?php $helper->endExtends(); ?>