<?php $helper->extends('content/partials/generalLayout', ['sectionTitle' => 'Pagos', 'tools' => 'search', 'export' => true]); ?>

<?php $helper->content('section') ?>



<div class="table-responsive">

	<table class="table-sm table table-striped table-bordered display" id="datatable">

		<thead>

			<tr>

				<th>ID</th>

				<th>Fecha</th>

				<th>Monto</th>

				<th>Alumno</th>

				<th>Matrícula</th>

				<th>Opciones</th>

			</tr>

		</thead>

		<tbody>

			<?php foreach($pagos as $pago): ?>

				<?php $alumno = $pago->alumno(); ?>

			<tr>

				<td><?php echo $pago->id; ?></td>

				<td><?php echo date('Y-m-d' ,strtotime($pago->fecha)); ?></td>

				<td><?php echo htmlspecialchars($pago->monto); ?></td>

				<td><?php echo htmlspecialchars($alumno->nombre); echo "&nbsp;"; echo htmlspecialchars($alumno->apellido); ?></td>

				<td><?php echo htmlspecialchars($alumno->matricula); ?></td>

				<td>

					<div class="d-flex">

						<a href="./../alumnos/pagos?id=<?php echo $alumno->id; ?>" title="Ver pagos del alumno" class="btn btn-light btn-sm me-2">Ver pagos del alumno</a>

					</div>

				</td>

			</tr>

			<?php endforeach; ?>

		</tbody>

	</table>

</div>


<?php $helper->endContent() ?>



<?php $helper->endExtends(); ?>