<?php $helper->extends('content/partials/generalLayout', ['sectionTitle' => 'Periodos Escolares']); ?>

<?php $helper->content('section') ?>



<div class="table-responsive">

	<table class="table-sm table table-striped table-bordered display" id="datatable">

		<thead>

			<tr>

				<th>Nombre</th>

				<th>Nota</th>

				<th>Fecha de Inicio</th>

				<th>Fecha Final</th>

				<th>Estado</th>

				<th>Opciones</th>

			</tr>

		</thead>

		<tbody>

			<?php foreach($periodos as $per): ?>

			<tr>

				<td><?php echo htmlspecialchars($per->nombre); ?></td>

				<td><?php echo htmlspecialchars($per->nota); ?></td>

				<td><?php echo date('Y-m-d' ,strtotime($per->fechaInicio)); ?></td>

				<td><?php echo date('Y-m-d' ,strtotime($per->fechaFinal)); ?></td>

				<td><?php echo (htmlspecialchars(ucfirst($per->estado))); ?></td>

				<td>

					<div class="d-flex">

						<a href="./editar?id=<?php echo $per->id; ?>" title="Editar" class="btn btn-warning btn-sm me-2">Editar</a>

						<form method="POST" action="./estado">

							<input type="hidden" name="id" value="<?php echo $per->id; ?>">

							<button type="submit" class="btn btn-sm btn-secondary"><?php echo $per->estado == 'activo' ? 'Inactivar' : 'Activar'; ?></button>

						</form>

					</div>

				</td>

			</tr>

			<?php endforeach; ?>

		</tbody>

	</table>

</div>

<?php $helper->endContent() ?>

<?php $helper->endExtends(); ?>