<?php $helper->extends('content/partials/generalLayout', ['sectionTitle' => 'Mis Mensajes', 'tools' => 'none']); ?>

<?php $helper->content('section') ?>
<div class="table-responsive">
	<table class="table-sm table table-striped table-bordered display" id="datatable">
		<thead>
			<tr>
				<th>Fecha</th>
				<th>Mensaje</th>
			</tr>
		</thead>
		<tbody>
			<?php foreach ($mensajes as $mensaje): ?>
			<tr>
				<td><?php echo htmlspecialchars(date('Y / m / d H:i', strtotime($mensaje->fecha))); ?></td>
				<td><?php echo htmlspecialchars($mensaje->mensaje); ?></td>
			</tr>
			<?php endforeach ?>
		</tbody>
	</table>
</div>
<?php $helper->endContent() ?>



<?php $helper->endExtends(); ?>