<?php require_once __DIR__.'/../partials/header.html.php'; ?>

<div class="wrapper">

	<nav class="main-header navbar ps-3 pe-4 navbar-expand navbar-white navbar-light">

	  <ul class="navbar-nav">

	    <li class="nav-item">

	      <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>

	    </li>

	  </ul>

	  <ul class="navbar-nav ml-auto me-2">

	   <!--  <li class="nav-item me-2">

	    	<a class="btn btn-info btn-sm rounded-0" href="<?php //echo $_route; ?>" title="Volver">Ir a la web</a>

	    </li>

	    <li class="nav-item">

	     	<form class="d-flex align-items-center" action="<?php //echo $_route ?>logout" method="post">

				<button type="submit" class="btn btn-danger btn-sm rounded-0"><i class="fas fa-times me-2"></i>Cerrar sesión</button>

			</form>

	    </li> -->

	  </ul>

	</nav>



	<aside class="main-sidebar sidebar-dark-primary elevation-4">

	<img src="<?php echo $_totalRoute.'assets/img/logo_bco.png'; ?>" style="width: 50%; margin-left: 50px; margin-top:20px;">

	  <a href="" class="brand-link">

	    

	    <span class="brand-text" style="padding-left:20px; font-family: 'Brandon Grotesque';">CONTROL ESCOLAR</span>

	  </a>



	  <div class="sidebar" style="">

	    <div class="user-panel mt-3 pb-3 mb-3 d-flex">

	      <div class="info">

	        <span class="text-light"><?php if($auth->esDelTipoUsuario(\App\Entity\Usuario::ALUMNO)): echo $auth->nombre . " " . $auth->apellido; else: echo $auth->nombre; endif?></span>

	      </div>

	    </div>

	    <nav class="mt-2">

	      <ul class="nav nav-child-indent nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu">

	      	<?php if($auth->esDelTipoUsuario(\App\Entity\Usuario::ADMINISTRADOR) || $auth->esDelTipoUsuario(\App\Entity\Usuario::DIRECTOR)): ?>

	      	<li class="nav-item">

	      		<a href="<?php echo $_route.'panel/licenciaturas/'; ?>" class="nav-link <?php echo substr($_thisRoute, 0, strlen('panel/licenciaturas/')) === 'panel/licenciaturas/' ? 'active' : ''; ?>">

		            <i class="fas fa-angle-double-right"></i>

		            <p>

		              Licenciaturas

		            </p>

	         	</a>

	      	</li>

	      	<?php endif; ?>

	      	<?php if($auth->esDelTipoUsuario(\App\Entity\Usuario::ADMINISTRADOR) || $auth->esDelTipoUsuario(\App\Entity\Usuario::DIRECTOR)): ?>

	      	<li class="nav-item">

	      		<a href="<?php echo $_route.'panel/periodos/'; ?>" class="nav-link <?php echo substr($_thisRoute, 0, strlen('panel/periodos/')) === 'panel/periodos/' ? 'active' : ''; ?>">

		            <i class="fas fa-angle-double-right"></i>

		            <p>

		              Periodos Escolares

		            </p>

	         	</a>

	      	</li>

	      	<?php endif; ?>

	      	<?php if($auth->esDelTipoUsuario(\App\Entity\Usuario::ADMINISTRADOR) || $auth->esDelTipoUsuario(\App\Entity\Usuario::DIRECTOR)): ?>

	      	<li class="nav-item">

	      		<a href="<?php echo $_route.'panel/materias/'; ?>" class="nav-link <?php echo substr($_thisRoute, 0, strlen('panel/materias/')) === 'panel/materias/' ? 'active' : ''; ?>">

		            <i class="fas fa-angle-double-right"></i>

		            <p>

		              Materias

		            </p>

	         	</a>

	      	</li>

	      	<?php endif; ?>

	      	<?php if($auth->esDelTipoUsuario(\App\Entity\Usuario::ADMINISTRADOR) || $auth->esDelTipoUsuario(\App\Entity\Usuario::PROFESOR)): ?>

	      	<li class="nav-item">

	      		<a href="<?php echo $_route.'panel/clases/'; ?>" class="nav-link <?php echo substr($_thisRoute, 0, strlen('panel/clases/')) === 'panel/clases/' ? 'active' : ''; ?>">

		            <i class="fas fa-angle-double-right"></i>

		            <p>

		              Clases

		            </p>

	         	</a>

	      	</li>

	      	<?php endif; ?>

	      	<?php if($auth->esDelTipoUsuario(\App\Entity\Usuario::ADMINISTRADOR) || $auth->esDelTipoUsuario(\App\Entity\Usuario::DIRECTOR)): ?>

	      	<li class="nav-item">

	      		<a href="<?php echo $_route.'panel/profesores/'; ?>" class="nav-link <?php echo substr($_thisRoute, 0, strlen('panel/profesores/')) === 'panel/profesores/' ? 'active' : ''; ?>">

		            <i class="fas fa-angle-double-right"></i>

		            <p>

		              Profesores

		            </p>

	         	</a>

	      	</li>

	      	<?php endif; ?>

	      	<?php if($auth->esDelTipoUsuario(\App\Entity\Usuario::ADMINISTRADOR)): ?>

	      	<li class="nav-item">

	      		<a href="<?php echo $_route.'panel/alumnos/'; ?>" class="nav-link <?php echo substr($_thisRoute, 0, strlen('panel/alumnos/')) === 'panel/alumnos/' ? 'active' : ''; ?>">

		            <i class="fas fa-angle-double-right"></i>

		            <p>

		              Alumnos

		            </p>

	         	</a>

	      	</li>

	      	<?php endif; ?>

	      	<?php if($auth->esDelTipoUsuario(\App\Entity\Usuario::ADMINISTRADOR)): ?>

	      	<li class="nav-item">

	      		<a href="<?php echo $_route.'panel/pagos/'; ?>" class="nav-link <?php echo substr($_thisRoute, 0, strlen('panel/pagos/')) === 'panel/pagos/' ? 'active' : ''; ?>">

		            <i class="fas fa-angle-double-right"></i>

		            <p>

		              Pagos

		            </p>

	         	</a>

	      	</li>

	      	<?php endif; ?>

	      	<?php if($auth->esDelTipoUsuario(\App\Entity\Usuario::ADMINISTRADOR) || $auth->esDelTipoUsuario(\App\Entity\Usuario::PROFESOR)): ?>

	      	<li class="nav-item">

	      		<a href="<?php echo $_route.'panel/calificaciones/'; ?>" class="nav-link <?php echo substr($_thisRoute, 0, strlen('panel/calificaciones/')) === 'panel/calificaciones/' ? 'active' : ''; ?>">

		            <i class="fas fa-angle-double-right"></i>

		            <p>

		              Calificaciones

		            </p>

	         	</a>

	      	</li>

	      	<?php endif; ?>

	      	<?php if($auth->esDelTipoUsuario(\App\Entity\Usuario::ALUMNO)): ?>

	      	<li class="nav-item">

	      		<a href="<?php echo $_route.'panel/mis-clases/'; ?>" class="nav-link <?php echo substr($_thisRoute, 0, strlen('panel/mis-clases/')) === 'panel/mis-clases/' ? 'active' : ''; ?>">

		            <i class="fas fa-angle-double-right"></i>

		            <p>

		              Mi Universidad

		            </p>

	         	</a>

	      	</li>

	      	<?php endif; ?>

	      	<?php if($auth->esDelTipoUsuario(\App\Entity\Usuario::ALUMNO)): ?>

	      	<li class="nav-item">

	      		<a target="_blank" href="<?php echo $_route.'panel/kardex?id='.$auth->id; ?>" class="nav-link">

		            <i class="fas fa-angle-double-right"></i>

		            <p>

		              KARDEX

		            </p>

	         	</a>

	      	</li>

	      	<?php endif; ?>

	      	<!--<?php if($auth->esDelTipoUsuario(\App\Entity\Usuario::ALUMNO)): ?>

	      	 <li class="nav-item">

	      		<a href="<?php echo $_route.'panel/documentos?id='.$auth->id; ?>" class="nav-link">

		            <i class="fas fa-angle-double-right"></i>

		            <p>

		              Documentos

		            </p>

	         	</a>

	      	</li>

	      	<?php endif; ?>  -->

	      	<?php if($auth->esDelTipoUsuario(\App\Entity\Usuario::ALUMNO)): ?>

	      	<li class="nav-item">

	      		<a  href="<?php echo $_route.'panel/servicio?id='.$auth->id; ?>" class="nav-link">

		            <i class="fas fa-angle-double-right"></i>

		            <p>

		              Servicio Social

		            </p>

	         	</a>

	      	</li>

	      	<?php endif; ?>

	      	<?php if($auth->esDelTipoUsuario(\App\Entity\Usuario::ALUMNO)): ?>

	      	<li class="nav-item">

	      		<a href="<?php echo $_route.'panel/titulacion?id='.$auth->id; ?>" class="nav-link">

		            <i class="fas fa-angle-double-right"></i>

		            <p>

		              Titulación

		            </p>

	         	</a>

	      	</li>

	      	<?php endif; ?>

	      	<?php if($auth->esDelTipoUsuario(\App\Entity\Usuario::ALUMNO)): ?>

	      	<li class="nav-item">

	      		<a href="<?php echo $_route.'panel/mensajeria'; ?>" class="nav-link">

		            <i class="fas fa-angle-double-right"></i>

		            <p>

		              Mis mensajes

		            </p>

	         	</a>

	      	</li>

	      	<?php endif; ?>

	      	<li class="nav-item">

	      		<form action="<?php echo $_route.'logout'; ?>" method="POST">

	      		<button type="submit" class="nav-link">

		            <i class="fas fa-sign-out-alt"></i>

		            <p>

		              Salir

		            </p>

	         	</button>

	      		</form>

	      	</li>

	      </ul>

	    </nav>

	    <!-- /.sidebar-menu -->

	  </div>

	  <!-- /.sidebar -->

	</aside>

	<main class="content-wrapper px-4 py-2">

		<div id="success-alert" class="d-none alert alert-success rounded-0">

		</div>

		<div id="error-alert" class="d-none alert alert-danger rounded-0">

		</div>



			<?php echo $output; ?>

	</main>

</div>

<?php require_once __DIR__.'/../partials/footer.html.php';

